Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::AnimationPath Class Reference

AnimationPath encapsulates a time varying transformation pathway. More...

Inheritance diagram for osg::AnimationPath:

[legend]
List of all members.

## Public Types
typedef std::map< double, ControlPoint > | TimeControlPointMap
enum | LoopMode { SWING, LOOP, NO_LOOPING }
## Public Member Functions
| AnimationPath ()
| AnimationPath (const AnimationPath &ap, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, AnimationPath)
bool | getMatrix (double time, Matrixf &matrix) const
| Given a specific time, return the transformation matrix for a point.
bool | getMatrix (double time, Matrixd &matrix) const
| Given a specific time, return the transformation matrix for a point..
bool | getInverse (double time, Matrixf &matrix) const
| Given a specific time, return the inverse transformation matrix for a point.
bool | getInverse (double time, Matrixd &matrix) const
virtual bool | getInterpolatedControlPoint (double time, ControlPoint &controlPoint) const
| Given a specific time, return the local ControlPoint frame for a point.
void | insert (double time, const ControlPoint &controlPoint)
double | getFirstTime () const
double | getLastTime () const
double | getPeriod () const
void | setLoopMode (LoopMode lm)
LoopMode | getLoopMode () const
void | setTimeControlPointMap (TimeControlPointMap &tcpm)
TimeControlPointMap & | getTimeControlPointMap ()
const TimeControlPointMap & | getTimeControlPointMap () const
bool | empty () const
void | read (std::istream &in)
| Read the animation path from a flat ASCII file stream.
void | write (std::ostream &out) const
| Write the animation path to a flat ASCII file stream.
## Protected Member Functions
virtual | ~AnimationPath ()
## Protected Attributes
TimeControlPointMap | _timeControlPointMap
LoopMode | _loopMode

## Detailed Description

AnimationPath encapsulates a time varying transformation pathway.

Can be used for updating camera position and model object position. AnimationPathCallback can be attached directly to Transform nodes to move subgraphs around the scene.

## Member Typedef Documentation

typedef std::map<double,ControlPoint> osg::AnimationPath::TimeControlPointMap

## Member Enumeration Documentation

enum osg::AnimationPath::LoopMode

  | Enumeration values:
  SWING |
  LOOP |
  NO_LOOPING |

## Constructor & Destructor Documentation

osg::AnimationPath::AnimationPath | ( |  | ) | `[inline]`

osg::AnimationPath::AnimationPath | ( | const AnimationPath & | ap,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osg::AnimationPath::~AnimationPath | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

bool osg::AnimationPath::empty | ( |  | ) | const`[inline]`

double osg::AnimationPath::getFirstTime | ( |  | ) | const`[inline]`

virtual bool osg::AnimationPath::getInterpolatedControlPoint | ( | double | time,
|  | ControlPoint & | controlPoint
| ) | const`[virtual]`

| Given a specific time, return the local ControlPoint frame for a point.

bool osg::AnimationPath::getInverse | ( | double | time,
|  | Matrixd & | matrix
| ) | const`[inline]`

bool osg::AnimationPath::getInverse | ( | double | time,
|  | Matrixf & | matrix
| ) | const`[inline]`

| Given a specific time, return the inverse transformation matrix for a point.

double osg::AnimationPath::getLastTime | ( |  | ) | const`[inline]`

LoopMode osg::AnimationPath::getLoopMode | ( |  | ) | const`[inline]`

bool osg::AnimationPath::getMatrix | ( | double | time,
|  | Matrixd & | matrix
| ) | const`[inline]`

| Given a specific time, return the transformation matrix for a point..

bool osg::AnimationPath::getMatrix | ( | double | time,
|  | Matrixf & | matrix
| ) | const`[inline]`

| Given a specific time, return the transformation matrix for a point.

double osg::AnimationPath::getPeriod | ( |  | ) | const`[inline]`

const TimeControlPointMap& osg::AnimationPath::getTimeControlPointMap | ( |  | ) | const`[inline]`

TimeControlPointMap& osg::AnimationPath::getTimeControlPointMap | ( |  | ) | `[inline]`

void osg::AnimationPath::insert | ( | double | time,
|  | const ControlPoint & | controlPoint
| ) |

osg::AnimationPath::META_Object | ( | osg | ,
|  | AnimationPath |
| ) |

void osg::AnimationPath::read | ( | std::istream & | in | ) |

| Read the animation path from a flat ASCII file stream.

void osg::AnimationPath::setLoopMode | ( | LoopMode | lm | ) | `[inline]`

void osg::AnimationPath::setTimeControlPointMap | ( | TimeControlPointMap & | tcpm | ) | `[inline]`

void osg::AnimationPath::write | ( | std::ostream & | out | ) | const

| Write the animation path to a flat ASCII file stream.

## Member Data Documentation

LoopMode osg::AnimationPath::_loopMode`[protected]`

TimeControlPointMap osg::AnimationPath::_timeControlPointMap`[protected]`

The documentation for this class was generated from the following file:

- AnimationPath